import { Annotation, type IRenderContext, type OxyRect } from '..';
/**
 * Represents an annotation that renders by a delegate.
 */
export declare class DelegateAnnotation extends Annotation {
    /**
     * The rendering delegate.
     */
    private readonly rendering;
    /**
     * Initializes a new instance of the DelegateAnnotation class.
     * @param rendering The rendering delegate.
     */
    constructor(rendering: (rc: IRenderContext) => Promise<void>);
    getElementName(): string;
    /**
     * Renders the annotation on the specified context.
     * @param rc The render context.
     */
    render(rc: IRenderContext): Promise<void>;
    /**
     * Gets the clipping rect.
     * @returns The clipping rect.
     */
    getClippingRect(): OxyRect;
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=DelegateAnnotation.d.ts.map