import { type CreatePathAnnotationOptions, type DataPoint, type IInterpolationAlgorithm, PathAnnotation, type ScreenPoint } from '..';
export interface CreateSplineOptions extends CreatePathAnnotationOptions {
    /**
     * The interpolation algorithm.
     */
    interpolationAlgorithm?: IInterpolationAlgorithm;
    /**
     * The points.
     */
    points?: DataPoint[];
}
export declare const DefaultPolylineOptions: CreateSplineOptions;
export declare const ExtendedDefaultPolylineOptions: {
    /**
     * The interpolation algorithm.
     */
    interpolationAlgorithm?: IInterpolationAlgorithm | undefined;
    /**
     * The points.
     */
    points?: DataPoint[] | undefined;
    minimumX?: number | undefined;
    maximumX?: number | undefined;
    minimumY?: number | undefined;
    maximumY?: number | undefined;
    color?: string | undefined;
    strokeThickness?: number | undefined;
    lineStyle?: import('..').LineStyle | undefined;
    lineJoin?: import('..').LineJoin | undefined;
    textLinePosition?: number | undefined;
    textOrientation?: import('..').AnnotationTextOrientation | undefined;
    textMargin?: number | undefined;
    minimumSegmentLength?: number | undefined;
    textPadding?: number | undefined;
    borderPadding?: import('..').OxyThickness | undefined;
    borderBackground?: string | undefined;
    borderStroke?: string | undefined;
    borderStrokeThickness?: number | undefined;
    text?: string | undefined;
    textPosition?: DataPoint | undefined;
    textHorizontalAlignment?: import('..').HorizontalAlignment | undefined;
    textVerticalAlignment?: import('..').VerticalAlignment | undefined;
    textRotation?: number | undefined;
    xAxisKey?: string | undefined;
    yAxisKey?: string | undefined;
    layer?: import('..').AnnotationLayer | undefined;
    clipByXAxis?: boolean | undefined;
    clipByYAxis?: boolean | undefined;
    xAxis?: import('..').Axis | undefined;
    yAxis?: import('..').Axis | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: import('..').EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('..').SelectionMode | undefined;
};
/**
 * Represents an annotation that shows a polyline.
 */
export declare class PolylineAnnotation extends PathAnnotation {
    constructor(opt?: CreateSplineOptions);
    getElementName(): string;
    /**
     * The points.
     */
    points: DataPoint[];
    /**
     * The interpolation algorithm.
     */
    interpolationAlgorithm?: IInterpolationAlgorithm;
    /**
     * Gets the screen points.
     */
    protected getScreenPoints(): ScreenPoint[];
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=PolylineAnnotation.d.ts.map