import { type CreateTextualAnnotationOptions, type OxyColor, TextualAnnotation } from '..';
export interface CreateShapeAnnotationOptions extends CreateTextualAnnotationOptions {
    fill?: OxyColor;
    stroke?: OxyColor;
    strokeThickness?: number;
}
export declare const DefaultShapeAnnotationOptions: CreateShapeAnnotationOptions;
export declare const ExtendedDefaultShapeAnnotationOptions: {
    text?: string | undefined;
    textPosition?: import('..').DataPoint | undefined;
    textHorizontalAlignment?: import('..').HorizontalAlignment | undefined;
    textVerticalAlignment?: import('..').VerticalAlignment | undefined;
    textRotation?: number | undefined;
    xAxisKey?: string | undefined;
    yAxisKey?: string | undefined;
    layer?: import('..').AnnotationLayer | undefined;
    clipByXAxis?: boolean | undefined;
    clipByYAxis?: boolean | undefined;
    xAxis?: import('..').Axis | undefined;
    yAxis?: import('..').Axis | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: import('..').EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('..').SelectionMode | undefined;
};
/**
 * Provides an abstract base class for shape annotations.
 */
export declare abstract class ShapeAnnotation extends TextualAnnotation {
    /**
     * Initializes a new instance of the ShapeAnnotation class.
     */
    protected constructor(opt?: CreateShapeAnnotationOptions);
    /**
     * The fill color.
     */
    fill: OxyColor;
    /**
     * The stroke color.
     */
    stroke: OxyColor;
    /**
     * The stroke thickness.
     */
    strokeThickness: number;
}
//# sourceMappingURL=ShapeAnnotation.d.ts.map