import { CategoryAxis, type CreateCategoryAxisOptions, type IColorAxis, type IRenderContext, type OxyColor, type OxyPalette } from '..';
export interface CreateCategoryColorAxisOptions extends CreateCategoryAxisOptions {
    invalidCategoryColor?: OxyColor;
    palette?: OxyPalette;
}
export declare const DefaultCategoryColorAxisOptions: CreateCategoryColorAxisOptions;
export declare const ExtendedDefaultCategoryColorAxisOptions: {
    invalidCategoryColor?: string | undefined;
    palette?: OxyPalette | undefined;
    gapWidth?: number | undefined;
    isTickCentered?: boolean | undefined;
    itemsSource?: any[] | undefined;
    labelField?: string | undefined;
    labels?: string[] | undefined;
    position?: import('..').AxisPosition | undefined;
    positionTier?: number | undefined;
    isAxisVisible?: boolean | undefined;
    layer?: import('..').AxisLayer | undefined;
    absoluteMaximum?: number | undefined;
    absoluteMinimum?: number | undefined;
    minimum?: number | undefined;
    maximum?: number | undefined;
    minorStep?: number | undefined;
    majorStep?: number | undefined;
    minimumMinorStep?: number | undefined;
    minimumMajorStep?: number | undefined;
    minimumMajorIntervalCount?: number | undefined;
    maximumMajorIntervalCount?: number | undefined;
    minimumPadding?: number | undefined;
    maximumPadding?: number | undefined;
    minimumRange?: number | undefined;
    maximumRange?: number | undefined;
    minimumDataMargin?: number | undefined;
    maximumDataMargin?: number | undefined;
    minimumMargin?: number | undefined;
    maximumMargin?: number | undefined;
    tickStyle?: import('..').TickStyle | undefined;
    ticklineColor?: string | undefined;
    minorTicklineColor?: string | undefined;
    axislineStyle?: import('..').LineStyle | undefined;
    axislineColor?: string | undefined;
    axislineThickness?: number | undefined;
    majorGridlineStyle?: import('..').LineStyle | undefined;
    majorGridlineColor?: string | undefined;
    majorGridlineThickness?: number | undefined;
    minorGridlineStyle?: import('..').LineStyle | undefined;
    minorGridlineColor?: string | undefined;
    minorGridlineThickness?: number | undefined;
    extraGridlines?: number[] | undefined;
    extraGridlineStyle?: import('..').LineStyle | undefined;
    extraGridlineColor?: string | undefined;
    extraGridlineThickness?: number | undefined;
    minorTickSize?: number | undefined;
    majorTickSize?: number | undefined;
    startPosition?: number | undefined;
    stringFormatter?: import('..').AxisStringFormatterType | undefined;
    endPosition?: number | undefined;
    title?: string | undefined;
    titlePosition?: number | undefined;
    unit?: string | undefined;
    useSuperExponentialFormat?: boolean | undefined;
    titleFormatter?: import('..').AxisTitleFormatterType | undefined;
    titleClippingLength?: number | undefined;
    titleColor?: string | undefined;
    titleFontSize?: number | undefined;
    titleFontWeight?: number | undefined;
    clipTitle?: boolean | undefined;
    angle?: number | undefined;
    isZoomEnabled?: boolean | undefined;
    key?: string | undefined;
    isPanEnabled?: boolean | undefined;
    filterMinValue?: number | undefined;
    filterMaxValue?: number | undefined;
    filterFunction?: ((value: number) => boolean) | undefined;
    intervalLength?: number | undefined;
    axisDistance?: number | undefined;
    axisTitleDistance?: number | undefined;
    axisTickToLabelDistance?: number | undefined;
    dataMaximum?: number | undefined;
    dataMinimum?: number | undefined;
    labelFormatter?: import('..').AxisStringFormatterType | undefined;
    positionAtZeroCrossing?: boolean | undefined;
    cropGridlines?: boolean | undefined;
    positionTierMaxShift?: number | undefined;
    positionTierMinShift?: number | undefined;
    positionTierSize?: number | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: import('..').EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('..').SelectionMode | undefined;
    fractionUnit?: number | undefined;
    fractionUnitSymbol?: string | undefined;
    formatAsFractions?: boolean | undefined;
};
/** Represents a categorized color axis. */
export declare class CategoryColorAxis extends CategoryAxis implements IColorAxis {
    /** The invalid category color. */
    invalidCategoryColor: OxyColor;
    /** The palette. */
    palette: OxyPalette;
    constructor(opt?: CreateCategoryColorAxisOptions);
    getElementName(): string;
    /** Gets the color of the specified index in the color palette. */
    getColor(paletteIndex: number): OxyColor;
    /** Gets the palette index of the specified value. */
    getPaletteIndex(value: number): number;
    /** Renders the axis on the specified render context. */
    render(rc: IRenderContext, pass: number): Promise<void>;
    /**
     * Gets the high value.
     * @internal
     * */
    getHighValue(paletteIndex: number, majorLabelValues: number[]): number;
    /**
     * Gets the low value.
     * @internal
     * */
    getLowValue(paletteIndex: number, majorLabelValues: number[]): number;
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=CategoryColorAxis.d.ts.map