import { Axis, type IColorAxis, type INumericColorAxis, type OxyColor } from '..';
/** Provides extension methods for IColorAxis. */
export declare class ColorAxisExtensions {
    /** Gets the color for the specified value. */
    static getColor(axis: IColorAxis, value: number): OxyColor;
    /**
     * Gets the high value of the specified palette index.
     */
    static getHighValue<T extends Axis & INumericColorAxis>(axis: T, paletteIndex: number): number;
    /**
     * Gets the low value of the specified palette index.
     */
    static getLowValue<T extends Axis & INumericColorAxis>(axis: T, paletteIndex: number): number;
    /**
     * Gets the color.
     */
    static getColorByPaletteIndex<T extends Axis & INumericColorAxis>(axis: T, paletteIndex: number): OxyColor;
}
//# sourceMappingURL=ColorAxisExtensions.d.ts.map