import { AxisPosition, type CreateLogarithmicAxisOptions, type INumericColorAxis, type IRenderContext, LogarithmicAxis, type OxyColor, type OxyPalette } from '..';
export interface CreateLogarithmicColorAxisOptions extends CreateLogarithmicAxisOptions {
    /** The color of values above the maximum value. */
    highColor?: OxyColor;
    /** The color of values below the minimum value. */
    lowColor?: OxyColor;
    /** The invalid category color. */
    invalidNumberColor?: OxyColor;
    /** The palette. */
    palette?: OxyPalette;
    renderAsImage?: boolean;
}
export declare const DefaultLogarithmicColorAxisOptions: CreateLogarithmicColorAxisOptions;
export declare const ExtendedDefaultLogarithmicColorAxisOptions: {
    /** The color of values above the maximum value. */
    highColor?: string | undefined;
    /** The color of values below the minimum value. */
    lowColor?: string | undefined;
    /** The invalid category color. */
    invalidNumberColor?: string | undefined;
    /** The palette. */
    palette?: OxyPalette | undefined;
    renderAsImage?: boolean | undefined;
    base?: number | undefined;
    powerPadding?: boolean | undefined;
    position?: AxisPosition | undefined;
    positionTier?: number | undefined;
    isAxisVisible?: boolean | undefined;
    layer?: import('..').AxisLayer | undefined;
    absoluteMaximum?: number | undefined;
    absoluteMinimum?: number | undefined;
    minimum?: number | undefined;
    maximum?: number | undefined;
    minorStep?: number | undefined;
    majorStep?: number | undefined;
    minimumMinorStep?: number | undefined;
    minimumMajorStep?: number | undefined;
    minimumMajorIntervalCount?: number | undefined;
    maximumMajorIntervalCount?: number | undefined;
    minimumPadding?: number | undefined;
    maximumPadding?: number | undefined;
    minimumRange?: number | undefined;
    maximumRange?: number | undefined;
    minimumDataMargin?: number | undefined;
    maximumDataMargin?: number | undefined;
    minimumMargin?: number | undefined;
    maximumMargin?: number | undefined;
    tickStyle?: import('..').TickStyle | undefined;
    ticklineColor?: string | undefined;
    minorTicklineColor?: string | undefined;
    axislineStyle?: import('..').LineStyle | undefined;
    axislineColor?: string | undefined;
    axislineThickness?: number | undefined;
    majorGridlineStyle?: import('..').LineStyle | undefined;
    majorGridlineColor?: string | undefined;
    majorGridlineThickness?: number | undefined;
    minorGridlineStyle?: import('..').LineStyle | undefined;
    minorGridlineColor?: string | undefined;
    minorGridlineThickness?: number | undefined;
    extraGridlines?: number[] | undefined;
    extraGridlineStyle?: import('..').LineStyle | undefined;
    extraGridlineColor?: string | undefined;
    extraGridlineThickness?: number | undefined;
    minorTickSize?: number | undefined;
    majorTickSize?: number | undefined;
    startPosition?: number | undefined;
    stringFormatter?: import('..').AxisStringFormatterType | undefined;
    endPosition?: number | undefined;
    title?: string | undefined;
    titlePosition?: number | undefined;
    unit?: string | undefined;
    useSuperExponentialFormat?: boolean | undefined;
    titleFormatter?: import('..').AxisTitleFormatterType | undefined;
    titleClippingLength?: number | undefined;
    titleColor?: string | undefined;
    titleFontSize?: number | undefined;
    titleFontWeight?: number | undefined;
    clipTitle?: boolean | undefined;
    angle?: number | undefined;
    isZoomEnabled?: boolean | undefined;
    key?: string | undefined;
    isPanEnabled?: boolean | undefined;
    filterMinValue?: number | undefined;
    filterMaxValue?: number | undefined;
    filterFunction?: ((value: number) => boolean) | undefined;
    intervalLength?: number | undefined;
    axisDistance?: number | undefined;
    axisTitleDistance?: number | undefined;
    axisTickToLabelDistance?: number | undefined;
    dataMaximum?: number | undefined;
    dataMinimum?: number | undefined;
    labelFormatter?: import('..').AxisStringFormatterType | undefined;
    positionAtZeroCrossing?: boolean | undefined;
    cropGridlines?: boolean | undefined;
    positionTierMaxShift?: number | undefined;
    positionTierMinShift?: number | undefined;
    positionTierSize?: number | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: import('..').EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('..').SelectionMode | undefined;
};
/**
 * Represents a logarithmic color axis.
 */
export declare class LogarithmicColorAxis extends LogarithmicAxis implements INumericColorAxis {
    /**
     * Initializes a new instance of the LinearColorAxis class.
     */
    constructor(opt?: CreateLogarithmicColorAxisOptions);
    getElementName(): string;
    invalidNumberColor: OxyColor;
    highColor: OxyColor;
    lowColor: OxyColor;
    palette: OxyPalette;
    renderAsImage: boolean;
    isXyAxis(): boolean;
    render(rc: IRenderContext, pass: number): Promise<void>;
    getColor(paletteIndex: number): OxyColor;
    getPaletteIndex(value: number): number;
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=LogarithmicColorAxis.d.ts.map