import { AxisPosition, type CreateMagnitudeAxisOptions, type IRenderContext, LineStyle, MagnitudeAxis, type OxyRect, type ScreenPoint, type TickValuesType } from '..';
export interface CreateMagnitudeAxisFullPlotAreaOptions extends CreateMagnitudeAxisOptions {
    midShiftH?: number;
    midShiftV?: number;
}
export declare const DefaultMagnitudeAxisFullPlotAreaOptions: CreateMagnitudeAxisFullPlotAreaOptions;
export declare const ExtendedDefaultMagnitudeAxisFullPlotAreaOptions: {
    midShiftH?: number | undefined;
    midShiftV?: number | undefined;
    midPoint?: ScreenPoint | undefined;
    fractionUnit?: number | undefined;
    fractionUnitSymbol?: string | undefined;
    formatAsFractions?: boolean | undefined;
    position?: AxisPosition | undefined;
    positionTier?: number | undefined;
    isAxisVisible?: boolean | undefined;
    layer?: import('..').AxisLayer | undefined;
    absoluteMaximum?: number | undefined;
    absoluteMinimum?: number | undefined;
    minimum?: number | undefined;
    maximum?: number | undefined;
    minorStep?: number | undefined;
    majorStep?: number | undefined;
    minimumMinorStep?: number | undefined;
    minimumMajorStep?: number | undefined;
    minimumMajorIntervalCount?: number | undefined;
    maximumMajorIntervalCount?: number | undefined;
    minimumPadding?: number | undefined;
    maximumPadding?: number | undefined;
    minimumRange?: number | undefined;
    maximumRange?: number | undefined;
    minimumDataMargin?: number | undefined;
    maximumDataMargin?: number | undefined;
    minimumMargin?: number | undefined;
    maximumMargin?: number | undefined;
    tickStyle?: import('..').TickStyle | undefined;
    ticklineColor?: string | undefined;
    minorTicklineColor?: string | undefined;
    axislineStyle?: LineStyle | undefined;
    axislineColor?: string | undefined;
    axislineThickness?: number | undefined;
    majorGridlineStyle?: LineStyle | undefined;
    majorGridlineColor?: string | undefined;
    majorGridlineThickness?: number | undefined;
    minorGridlineStyle?: LineStyle | undefined;
    minorGridlineColor?: string | undefined;
    minorGridlineThickness?: number | undefined;
    extraGridlines?: number[] | undefined;
    extraGridlineStyle?: LineStyle | undefined;
    extraGridlineColor?: string | undefined;
    extraGridlineThickness?: number | undefined;
    minorTickSize?: number | undefined;
    majorTickSize?: number | undefined;
    startPosition?: number | undefined;
    stringFormatter?: import('..').AxisStringFormatterType | undefined;
    endPosition?: number | undefined;
    title?: string | undefined;
    titlePosition?: number | undefined;
    unit?: string | undefined;
    useSuperExponentialFormat?: boolean | undefined;
    titleFormatter?: import('..').AxisTitleFormatterType | undefined;
    titleClippingLength?: number | undefined;
    titleColor?: string | undefined;
    titleFontSize?: number | undefined;
    titleFontWeight?: number | undefined;
    clipTitle?: boolean | undefined;
    angle?: number | undefined;
    isZoomEnabled?: boolean | undefined;
    key?: string | undefined;
    isPanEnabled?: boolean | undefined;
    filterMinValue?: number | undefined;
    filterMaxValue?: number | undefined;
    filterFunction?: ((value: number) => boolean) | undefined;
    intervalLength?: number | undefined;
    axisDistance?: number | undefined;
    axisTitleDistance?: number | undefined;
    axisTickToLabelDistance?: number | undefined;
    dataMaximum?: number | undefined;
    dataMinimum?: number | undefined;
    labelFormatter?: import('..').AxisStringFormatterType | undefined;
    positionAtZeroCrossing?: boolean | undefined;
    cropGridlines?: boolean | undefined;
    positionTierMaxShift?: number | undefined;
    positionTierMinShift?: number | undefined;
    positionTierSize?: number | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: import('..').EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('..').SelectionMode | undefined;
};
/** Represents a magnitude axis that covers the whole plot area. */
export declare class MagnitudeAxisFullPlotArea extends MagnitudeAxis {
    private _midShiftH;
    /** Portion to shift the center in horizontal direction relative to the plot area size (from -0.5 to +0.5 meaning +-50% of the width) */
    get midShiftH(): number;
    set midShiftH(value: number);
    private _midShiftV;
    /** Portion to shift the center in vertical direction relative to the plot area size (from -0.5 to +0.5 meaning +-50% of the height) */
    get midShiftV(): number;
    set midShiftV(value: number);
    /** Initializes a new instance of the MagnitudeAxis class. */
    constructor(opt?: CreateMagnitudeAxisFullPlotAreaOptions);
    getElementName(): string;
    /** Renders the axis on the specified render context. */
    render(rc: IRenderContext, pass: number): Promise<void>;
    getTickValues(): TickValuesType;
    /**
     * Updates the scale and offset properties of the transform from the specified boundary rectangle.
     * @internal
     * */
    updateTransform(bounds: OxyRect): void;
    /** Pans the specified axis. */
    pan(ppt: ScreenPoint, cpt: ScreenPoint): void;
    /** Zooms the axis at the specified coordinate. */
    zoomAt(factor: number, x: number): void;
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=MagnitudeAxisFullPlotArea.d.ts.map