import { AngleAxisFullPlotArea, Axis, AxisRendererBase, type IRenderContext, type OxyRect, PlotModel, type ScreenPoint } from '../..';
/** Provides functionality to render AngleAxis using the full plot area. */
export declare class AngleAxisFullPlotAreaRenderer extends AxisRendererBase<AngleAxisFullPlotArea> {
    /**
     * Initializes a new instance of the AngleAxisFullPlotAreaRenderer class.
     * @param rc The render context.
     * @param plot The plot.
     */
    constructor(rc: IRenderContext, plot: PlotModel);
    /**
     * Renders the specified axis.
     * @param axis The axis.
     * @param pass The render pass.
     * @throws Error if magnitude axis is not defined.
     */
    render(axis: AngleAxisFullPlotArea, pass: number): Promise<void>;
    /** Transforms the specified point to screen coordinates. */
    transformToClientRectangle(actualMaximum: number, x: number, axis: Axis, plotArea: OxyRect, midPoint: ScreenPoint): ScreenPoint;
}
//# sourceMappingURL=AngleAxisFullPlotAreaRenderer.d.ts.map