import type { IRenderContext } from '../..';
import { AngleAxis, AxisRendererBase, PlotModel } from '../..';
/**
 * Provides functionality to render AngleAxis.
 */
export declare class AngleAxisRenderer extends AxisRendererBase<AngleAxis> {
    /**
     * Initializes a new instance of the AngleAxisRenderer class.
     * @param rc The render context.
     * @param plot The plot.
     */
    constructor(rc: IRenderContext, plot: PlotModel);
    /**
     * Renders the specified axis.
     * @param axis The axis.
     * @param pass The render pass.
     * @throws Error if magnitude axis is not defined.
     */
    render(axis: AngleAxis, pass: number): Promise<void>;
}
//# sourceMappingURL=AngleAxisRenderer.d.ts.map