import { AxisRendererBase, type IRenderContext, MagnitudeAxisFullPlotArea, PlotModel } from '../..';
/** Provides functionality to render MagnitudeAxis using the full plot area. */
export declare class MagnitudeAxisFullPlotAreaRenderer extends AxisRendererBase<MagnitudeAxisFullPlotArea> {
    /** this constant limit the number of segments to draw a tick arc */
    private static readonly maxSegments;
    /** Initializes a new instance of the MagnitudeAxisFullPlotAreaRenderer class. */
    constructor(rc: IRenderContext, plot: PlotModel);
    /**
     * Renders the specified axis.
     * @param axis The axis.
     * @param pass The pass.
     * @throws Error Angle axis should not be undefined.
     */
    render(axis: MagnitudeAxisFullPlotArea, pass: number): Promise<void>;
    /** Returns the angle (in radian) of the axis line in screen coordinate */
    private static getActualAngle;
    /** Choose the most appropriate alignment for tick text */
    private static getTickTextAligment;
    /** Renders a tick by drawing an lot of segments */
    private renderTickArc;
    /** Renders major tick text */
    private renderTickText;
}
//# sourceMappingURL=MagnitudeAxisFullPlotAreaRenderer.d.ts.map