import { Axis, ColorAxisRenderer, type INumericColorAxis, type IRenderContext, PlotModel } from '../..';
/**
 * Provides functionality to render numeric color axes.
 */
export declare class NumericColorAxisRenderer<T extends Axis & INumericColorAxis> extends ColorAxisRenderer<T> {
    /**
     * Initializes a new instance of the NumericColorAxisRenderer class.
     */
    constructor(rc: IRenderContext, plot: PlotModel);
    /**
     * Renders the color block.
     */
    protected renderColorBlock(axis: T): Promise<void>;
    /**
     * Generates the image used to render the color axis.
     */
    private generateColorAxisImage;
    /**
     * Transforms a value to a screen position. We don't use the regular Transform functions of the axis here, as the color block should always be drawn with linear scaling.
     */
    private transform;
    /**
     * Helper function for linear interpolation.
     */
    private linearInterpolation;
}
//# sourceMappingURL=NumericColorAxisRenderer.d.ts.map