/**
 * Defines the marker type.
 */
export declare enum MarkerType {
    /**
     * Do not render markers.
     */
    None = 0,
    /**
     * Render markers as circles.
     */
    Circle = 1,
    /**
     * Render markers as squares.
     */
    Square = 2,
    /**
     * Render markers as diamonds.
     */
    Diamond = 3,
    /**
     * Render markers as triangles.
     */
    Triangle = 4,
    /**
     * Render markers as crosses.
     * Note: this marker type requires the stroke color to be set.
     */
    Cross = 5,
    /**
     * Renders markers as plus signs.
     * Note: this marker type requires the stroke color to be set.
     */
    Plus = 6,
    /**
     * Renders markers as stars.
     * Note: this marker type requires the stroke color to be set.
     */
    Star = 7,
    /**
     * Render markers by a custom shape (defined by outline).
     */
    Custom = 8
}
//# sourceMappingURL=MarkerType.d.ts.map