import type { IPlotController, IPlotView, IViewCommandG, OxyInputEventArgs } from '..';
/**
 * Provides a IViewCommand implemented by a delegate.
 */
export declare class DelegateViewCommand<T extends OxyInputEventArgs> implements IViewCommandG<T> {
    /**
     * The handler
     */
    private readonly handler;
    /**
     * Initializes a new instance of the DelegateViewCommand class.
     * @param handler The handler.
     */
    constructor(handler: (view: IPlotView, controller: IPlotController, args: T) => void);
    /**
     * Executes the command on the specified plot.
     * @param view The plot view.
     * @param controller The plot controller.
     * @param args The OxyInputEventArgs instance containing the event data.
     */
    execute(view: IPlotView, controller: IPlotController, args: T): void;
}
//# sourceMappingURL=DelegateViewCommand.d.ts.map