/**
 * Provides an abstract base class for image encoder options.
 */
export declare abstract class ImageEncoderOptions {
    /**
     * The horizontal resolution (in dots per inch).
     * The default value is 96 dpi.
     */
    dpiX: number;
    /**
     * The vertical resolution (in dots per inch).
     * The default value is 96 dpi.
     */
    dpiY: number;
    /**
     * Initializes a new instance of the ImageEncoderOptions class.
     */
    protected constructor();
}
//# sourceMappingURL=ImageEncoderOptions.d.ts.map