import { type OxyInputGesture, type OxyKey, OxyModifierKeys } from '../..';
/**
 * Represents a keyboard input gesture.
 * The input gesture can be bound to a command in a `PlotController`.
 */
export declare class OxyKeyGesture implements OxyInputGesture {
    key: OxyKey;
    modifiers: OxyModifierKeys;
    /**
     * Initializes a new instance of the `OxyKeyGesture` class.
     * @param key The key.
     * @param modifiers The modifier keys.
     */
    constructor(key: OxyKey, modifiers?: OxyModifierKeys);
    /**
     * Indicates whether the current object is equal to another object of the same type.
     * @param other An object to compare with this object.
     * @returns `true` if the current object is equal to the `other` parameter; otherwise, `false`.
     */
    equals(other: OxyInputGesture): boolean;
}
//# sourceMappingURL=OxyKeyGesture.d.ts.map