import type { OxyMouseButton } from '../..';
import { type OxyInputGesture, OxyModifierKeys } from '../..';
/**
 * Represents a mouse down input gesture.
 * The input gesture can be bound to a command in a `PlotController`.
 */
export declare class OxyMouseDownGesture implements OxyInputGesture {
    mouseButton: OxyMouseButton;
    modifiers: OxyModifierKeys;
    clickCount: number;
    /**
     * Initializes a new instance of the `OxyMouseDownGesture` class.
     * @param mouseButton The mouse button.
     * @param modifiers The modifiers.
     * @param clickCount The click count.
     */
    constructor(mouseButton: OxyMouseButton, modifiers?: OxyModifierKeys, clickCount?: number);
    /**
     * Indicates whether the current object is equal to another object of the same type.
     * @param other An object to compare with this object.
     * @returns `true` if the current object is equal to the `other` parameter; otherwise, `false`.
     */
    equals(other: OxyInputGesture): boolean;
}
//# sourceMappingURL=OxyMouseDownGesture.d.ts.map