import { type OxyInputGesture, OxyModifierKeys } from '../..';
/**
 * Represents a mouse enter gesture.
 * The input gesture can be bound to a command in a `PlotController`.
 */
export declare class OxyMouseEnterGesture implements OxyInputGesture {
    modifiers: OxyModifierKeys;
    /**
     * Initializes a new instance of the `OxyMouseEnterGesture` class.
     * @param modifiers The modifiers.
     */
    constructor(modifiers?: OxyModifierKeys);
    /**
     * Indicates whether the current object is equal to another object of the same type.
     * @param other An object to compare with this object.
     * @returns `true` if the current object is equal to the `other` parameter; otherwise, `false`.
     */
    equals(other: OxyInputGesture): boolean;
}
//# sourceMappingURL=OxyMouseEnterGesture.d.ts.map