import { OxyModifierKeys } from '../..';
/**
 * Provides an abstract base interface for classes that contain event data for input events.
 */
export interface OxyInputEventArgs {
    /**
     * Gets or sets a value indicating whether the event was handled.
     */
    handled: boolean;
    /**
     * Gets or sets the modifier keys.
     */
    modifierKeys: OxyModifierKeys;
}
export declare class OxyModifierKeysExtensions {
    /**
     * Determines whether the specified modifier keys contains the alt key.
     */
    static isAltDown(e: OxyInputEventArgs): boolean;
    /**
     * Determines whether the specified modifier keys contains the control key.
     */
    static isControlDown(e: OxyInputEventArgs): boolean;
    /**
     * Determines whether the specified modifier keys contains the shift key.
     */
    static isShiftDown(e: OxyInputEventArgs): boolean;
}
//# sourceMappingURL=OxyInputEventArgs.d.ts.map