import type { IPlotView, OxyMouseEventArgs, ScreenPoint } from '../..';
import { PlotManipulator } from '../..';
/**
 * Provides an abstract base class for manipulators that handles mouse events.
 */
export declare abstract class MouseManipulator extends PlotManipulator<OxyMouseEventArgs> {
    /**
     * The first position of the manipulation.
     */
    startPosition: ScreenPoint | undefined;
    /**
     * Initializes a new instance of the MouseManipulator class.
     * @param plotView The plot view.
     */
    protected constructor(plotView: IPlotView);
    /**
     * Occurs when an input device begins a manipulation on the plot.
     * @param e The OxyInputEventArgs instance containing the event data.
     */
    started(e: OxyMouseEventArgs): void;
}
//# sourceMappingURL=MouseManipulator.d.ts.map