import type { IPlotView, OxyMouseEventArgs } from '../..';
import { MouseManipulator } from '../..';
/**
 * Provides a manipulator for panning functionality.
 */
export declare class PanManipulator extends MouseManipulator {
    /**
     * Initializes a new instance of the PanManipulator class.
     * @param plotView The plot view.
     */
    constructor(plotView: IPlotView);
    /**
     * Gets or sets the previous position.
     */
    private previousPosition;
    /**
     * Gets or sets a value indicating whether panning is enabled.
     */
    private isPanEnabled;
    /**
     * Occurs when a manipulation is complete.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    completed(e: OxyMouseEventArgs): void;
    /**
     * Occurs when the input device changes position during a manipulation.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    delta(e: OxyMouseEventArgs): void;
    /**
     * Occurs when an input device begins a manipulation on the plot.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    started(e: OxyMouseEventArgs): void;
}
//# sourceMappingURL=PanManipulator.d.ts.map