import { type IPlotView, type OxyTouchEventArgs, PlotManipulator } from '../..';
/**
 * Provides a manipulator for panning and scaling by touch events.
 */
export declare class TouchManipulator extends PlotManipulator<OxyTouchEventArgs> {
    /**
     * Initializes a new instance of the TouchManipulator class.
     * @param plotView The plot view.
     */
    constructor(plotView: IPlotView);
    /**
     * Gets or sets a value indicating whether e.Handled should be set to true
     * in case pan or zoom is enabled.
     */
    protected setHandledForPanOrZoom: boolean;
    /**
     * Gets or sets a value indicating whether panning is enabled.
     */
    private isPanEnabled;
    /**
     * Gets or sets a value indicating whether zooming is enabled.
     */
    private isZoomEnabled;
    /**
     * Occurs when a manipulation is complete.
     * @param e The OxyInputEventArgs instance containing the event data.
     */
    completed(e: OxyTouchEventArgs): void;
    /**
     * Occurs when a touch delta event is handled.
     * @param e The OxyTouchEventArgs instance containing the event data.
     */
    delta(e: OxyTouchEventArgs): void;
    /**
     * Occurs when an input device begins a manipulation on the plot.
     * @param e The OxyTouchEventArgs instance containing the event data.
     */
    started(e: OxyTouchEventArgs): void;
}
//# sourceMappingURL=TouchManipulator.d.ts.map