import { type IPlotView, MouseManipulator, type OxyMouseEventArgs } from '../..';
/**
 * Provides a manipulator for rectangle zooming functionality.
 */
export declare class ZoomRectangleManipulator extends MouseManipulator {
    /**
     * The zoom rectangle.
     */
    private zoomRectangle;
    /**
     * Initializes a new instance of the ZoomRectangleManipulator class.
     * @param plotView The plot view.
     */
    constructor(plotView: IPlotView);
    /**
     * Gets or sets a value indicating whether zooming is enabled.
     */
    private isZoomEnabled;
    /**
     * Occurs when a manipulation is complete.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    completed(e: OxyMouseEventArgs): void;
    /**
     * Occurs when the input device changes position during a manipulation.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    delta(e: OxyMouseEventArgs): void;
    /**
     * Occurs when an input device begins a manipulation on the plot.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    started(e: OxyMouseEventArgs): void;
    /**
     * Gets the cursor for the manipulation.
     * @returns The cursor.
     */
    private getCursorType;
}
//# sourceMappingURL=ZoomRectangleManipulator.d.ts.map