import { type IPlotView, MouseManipulator, type OxyMouseEventArgs } from '../..';
/**
 * Provides a plot view manipulator for stepwise zoom functionality.
 */
export declare class ZoomStepManipulator extends MouseManipulator {
    /**
     * Initializes a new instance of the ZoomStepManipulator class.
     */
    constructor(plotView: IPlotView, step: number, fineControl: boolean);
    /**
     * Gets or sets a value indicating whether FineControl.
     */
    fineControl: boolean;
    /**
     * Gets or sets Step.
     */
    step: number;
    /**
     * Occurs when an input device begins a manipulation on the plot.
     * @param e The OxyMouseEventArgs instance containing the event data.
     */
    started(e: OxyMouseEventArgs): void;
}
//# sourceMappingURL=ZoomStepManipulator.d.ts.map