import { type IInterpolationAlgorithm } from '..';
/**
 * Implements a set of predefined interpolation algorithms.
 */
export declare class InterpolationAlgorithms {
    /**
     * Canonical spline, also known as Cardinal spline.
     */
    static readonly CanonicalSpline: IInterpolationAlgorithm;
    /**
     * Centripetal Catmull–Rom spline.
     */
    static readonly CatmullRomSpline: IInterpolationAlgorithm;
    /**
     * Uniform Catmull–Rom spline.
     */
    static readonly UniformCatmullRomSpline: IInterpolationAlgorithm;
    /**
     * Chordal Catmull–Rom spline.
     */
    static readonly ChordalCatmullRomSpline: IInterpolationAlgorithm;
}
//# sourceMappingURL=InterpolationAlgorithms.d.ts.map