/**
 * Defines the style of a line.
 */
export declare enum LineStyle {
    /**
     * The solid line style.
     */
    Solid = 0,
    /**
     * The dash line style.
     */
    Dash = 1,
    /**
     * The dot line style.
     */
    Dot = 2,
    /**
     * The dash dot line style.
     */
    DashDot = 3,
    /**
     * The dash-dash dot line style.
     */
    DashDashDot = 4,
    /**
     * The dash dot-dot line style.
     */
    DashDotDot = 5,
    /**
     * The dash-dash-dot-dot line style.
     */
    DashDashDotDot = 6,
    /**
     * The long dash line style.
     */
    LongDash = 7,
    /**
     * The long dash dot line style.
     */
    LongDashDot = 8,
    /**
     * The long dash dot-dot line style.
     */
    LongDashDotDot = 9,
    /**
     * The hidden line style.
     */
    None = 10,
    /**
     * The automatic line style.
     */
    Automatic = 11
}
//# sourceMappingURL=LineStyle.d.ts.map