import { type OxyColor, OxyColorEx } from './OxyColor';
/**
 * Represents a palette of colors.
 */
export interface OxyPalette {
    /**
     * The list of colors in the palette.
     */
    colors: OxyColor[];
}
export declare function newOxyPalette(colors?: (OxyColorEx | OxyColor)[]): OxyPalette;
/**
 * Represents a palette of colors.
 */
export declare class OxyPaletteHelper {
    /**
     * Interpolates the specified colors to a palette of the specified size.
     * @param paletteSize The size of the palette.
     * @param colors The colors to interpolate.
     * @returns A palette.
     */
    static interpolate(paletteSize: number, ...colors: (OxyColorEx | OxyColor)[]): OxyPalette;
    /**
     * Creates a new palette with the color order reversed.
     * @returns The reversed palette.
     */
    static reverse(p: OxyPalette): OxyPalette;
}
//# sourceMappingURL=OxyPalette.d.ts.map