import { type OxyPalette } from '..';
/** Provides predefined palettes. */
export declare class OxyPalettes {
    /** The blue-white-red palette with 31 colors. */
    static blueWhiteRed31: OxyPalette;
    /** The hot palette with 64 colors. */
    static hot64: OxyPalette;
    /** The hue palette with 64 colors. */
    static hue64: OxyPalette;
    /** Creates a black/white/red palette with the specified number of colors. */
    static blackWhiteRed(numberOfColors: number): OxyPalette;
    /** Creates a blue/white/red palette with the specified number of colors. */
    static blueWhiteRed(numberOfColors: number): OxyPalette;
    /** Creates a 'cool' palette with the specified number of colors. */
    static cool(numberOfColors: number): OxyPalette;
    /** Creates a gray-scale palette with the specified number of colors. */
    static gray(numberOfColors: number): OxyPalette;
    /** Creates a 'hot' palette with the specified number of colors. */
    static hot(numberOfColors: number): OxyPalette;
    /** Creates a palette from the hue component of the HSV color model. */
    static hue(numberOfColors: number): OxyPalette;
    /** Creates a hue-based palette from magenta to red. */
    static hueDistinct(numberOfColors: number): OxyPalette;
    /** Creates a 'jet' palette with the specified number of colors. */
    static jet(numberOfColors: number): OxyPalette;
    /** Creates a rainbow palette with the specified number of colors. */
    static rainbow(numberOfColors: number): OxyPalette;
    /**
     * Gets the cividis palette.
     */
    static cividis(numberOfColors?: number): OxyPalette;
    /**
     * Gets the inferno palette.
     */
    static inferno(numberOfColors?: number): OxyPalette;
    /**
     * Gets the magma palette.
     */
    static magma(numberOfColors?: number): OxyPalette;
    /**
     * Gets the plasma palette.
     */
    static plasma(numberOfColors?: number): OxyPalette;
    /**
     * Gets the viridis palette.
     */
    static viridis(numberOfColors?: number): OxyPalette;
}
//# sourceMappingURL=OxyPalettes.d.ts.map