import { LineJoin, LineStyle, type OxyColor } from '..';
/**
 * Describes a pen in terms of color, thickness, line style and line join type.
 */
export declare class OxyPen {
    color: OxyColor;
    thickness: number;
    lineStyle: LineStyle;
    lineJoin: LineJoin;
    /**
     * Initializes a new instance of the OxyPen class.
     * @param color The color.
     * @param thickness The thickness.
     * @param lineStyle The line style.
     * @param lineJoin The line join.
     */
    constructor(color: OxyColor, thickness?: number, lineStyle?: LineStyle, lineJoin?: LineJoin);
    /**
     * The dash array (overrides lineStyle).
     */
    dashArray?: number[];
    /**
     * Gets the actual dash array.
     */
    get actualDashArray(): number[] | undefined;
    /**
     * Creates the specified pen.
     * @param color The color.
     * @param thickness The thickness.
     * @param lineStyle The line style.
     * @param lineJoin The line join.
     * @returns A pen.
     */
    static create(color: OxyColor, thickness: number, lineStyle?: LineStyle, lineJoin?: LineJoin): OxyPen | undefined;
}
//# sourceMappingURL=OxyPen.d.ts.map