/**
 * Describes the thickness of a frame around a rectangle. Four number values describe the left, top, right, and bottom sides of the rectangle, respectively.
 */
export interface OxyThickness {
    /**
     * The bottom.
     */
    bottom: number;
    /**
     * The left.
     */
    left: number;
    /**
     * The right.
     */
    right: number;
    /**
     * The top.
     */
    top: number;
}
export declare function newOxyThickness(thickness: number): Readonly<OxyThickness>;
export declare function newOxyThickness(left: number, top: number, right: number, bottom: number): OxyThickness;
export declare const OxyThickness_Zero: Readonly<Readonly<OxyThickness>>;
export declare class OxyThicknessEx implements OxyThickness {
    private _thickness;
    constructor(t: OxyThickness);
    static from(t: OxyThickness): OxyThicknessEx;
    get bottom(): number;
    get left(): number;
    get right(): number;
    get top(): number;
    /**
     * Determines whether this instance and another specified OxyThickness object have the same value.
     * @param t
     * @param other The thickness to compare to this instance.
     * @returns true if the value of the other parameter is the same as the value of this instance; otherwise, false.
     */
    static equals(t: OxyThickness, other: OxyThickness): boolean;
    /**
     * Creates a new OxyThickness with the maximum dimensions of this instance and the specified other instance.
     * @param t
     * @param other The other instance.
     * @returns A new OxyThickness.
     */
    static include(t: OxyThickness, other: OxyThickness): OxyThickness;
}
//# sourceMappingURL=OxyThickness.d.ts.map