import { type ScreenPoint } from '../..';
/**
 * Provides functionality to decimate lines.
 */
export declare class Decimator {
    /**
     * Decimates lines by reducing all points that have the same integer x value to a maximum of 4 points (first, min, max, last).
     * @param input The input points.
     * @param output The decimated points.
     */
    static decimate(input: ScreenPoint[], output: ScreenPoint[]): void;
    /**
     * Adds vertical points to the result list.
     * @param result The result.
     * @param x The x coordinate.
     * @param firstY The first y.
     * @param lastY The last y.
     * @param minY The minimum y.
     * @param maxY The maximum y.
     */
    private static addVerticalPoints;
}
//# sourceMappingURL=Decimator.d.ts.map