import { type BarItem, BarSeries, type BarSeriesTrackerStringFormatterType, type CreateBarSeriesOptions, EdgeRenderingMode, type IRenderContext, type OxyRect } from '../..';
export interface ErrorBarItem extends BarItem {
    error: number;
}
export declare function newErrorBarItem(item: Partial<ErrorBarItem>): ErrorBarItem;
export interface CreateErrorBarSeriesOptions extends CreateBarSeriesOptions {
    errorStrokeThickness?: number;
    errorWidth?: number;
}
export declare const DefaultErrorBarSeriesOptions: CreateErrorBarSeriesOptions;
export declare const ExtendedDefaultErrorBarSeriesOptions: {
    errorStrokeThickness?: number | undefined;
    errorWidth?: number | undefined;
    valueField?: string | undefined;
    colorField?: string | undefined;
    stackGroup?: string | undefined;
    baseLine?: number | undefined;
    isStacked?: boolean | undefined;
    overlapsStack?: boolean | undefined;
    baseValue?: number | undefined;
    fillColor?: string | undefined;
    negativeFillColor?: string | undefined;
    barWidth?: number | undefined;
    strokeColor?: string | undefined;
    strokeThickness?: number | undefined;
    labelColor?: string | undefined;
    labelMargin?: number | undefined;
    labelAngle?: number | undefined;
    labelPlacement?: import('../..').LabelPlacement | undefined;
    labelStringFormatter?: import('../..').LabelStringFormatterType | undefined;
    items?: import('../..').BarItemBase[] | undefined;
    xAxisKey?: string | undefined;
    yAxisKey?: string | undefined;
    itemsSource?: any[] | undefined;
    background?: string | undefined;
    isVisible?: boolean | undefined;
    title?: string | undefined;
    legendKey?: string | undefined;
    seriesGroupName?: string | undefined;
    renderInLegend?: boolean | undefined;
    trackerStringFormatter?: import('../..').TrackerStringFormatterType | undefined;
    trackerKey?: string | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('../..').SelectionMode | undefined;
    DefaultXYAxisSeriesOptions: import('../..').CreateXYAxisSeriesOptions;
};
export declare class ErrorBarSeries extends BarSeries {
    static readonly DefaultTrackerStringFormatter: BarSeriesTrackerStringFormatterType;
    errorStrokeThickness: number;
    errorWidth: number;
    constructor(opt?: CreateErrorBarSeriesOptions);
    getElementName(): string;
    /**
     *
     * @internal
     */
    updateMaxMin(): void;
    protected renderItem(rc: IRenderContext, barValue: number, categoryValue: number, actualBarWidth: number, item: ErrorBarItem, rect: OxyRect): Promise<void>;
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=ErrorBarSeries.d.ts.map