/**
 * Defines properties for stacked series.
 */
import { type IBarSeries } from './IBarSeries';
export interface IStackableSeries extends IBarSeries {
    /**
     * Gets a value indicating whether this series is stacked.
     */
    readonly isStacked: boolean;
    /**
     * Gets a value indicating whether this series should overlap its stack when isStacked is true.
     */
    readonly overlapsStack: boolean;
    /**
     * Gets the stack group.
     */
    readonly stackGroup: string;
}
export declare function isStackableSeries(obj: any): obj is IStackableSeries;
//# sourceMappingURL=IStackableSeries.d.ts.map