import { type CreateSeriesOptions, Series } from '..';
export interface CreateItemsSeriesOptions extends CreateSeriesOptions {
    itemsSource?: any[];
}
export declare const DefaultItemsSeriesOptions: CreateItemsSeriesOptions;
export declare const ExtendedDefaultItemsSeriesOptions: {
    itemsSource?: any[] | undefined;
    background?: string | undefined;
    isVisible?: boolean | undefined;
    title?: string | undefined;
    legendKey?: string | undefined;
    seriesGroupName?: string | undefined;
    renderInLegend?: boolean | undefined;
    trackerStringFormatter?: import('..').TrackerStringFormatterType | undefined;
    trackerKey?: string | undefined;
    font?: string | undefined;
    fontSize?: number | undefined;
    fontWeight?: number | undefined;
    tag?: any;
    textColor?: string | undefined;
    edgeRenderingMode?: import('..').EdgeRenderingMode | undefined;
    toolTip?: string | undefined;
    selectable?: boolean | undefined;
    selectionMode?: import('..').SelectionMode | undefined;
};
/**
 * Abstract base class for series that can contain items.
 */
export declare abstract class ItemsSeries extends Series {
    protected constructor(opt?: CreateItemsSeriesOptions);
    /**
     * The items source. The default is null.
     */
    itemsSource?: any[];
    /**
     * Gets the item for the specified index.
     * @param itemsSource The items source.
     * @param index The index.
     * @returns The get item.
     * Returns null if ItemsSource is not set, or the index is outside the boundaries.
     */
    protected static getItem(itemsSource: any[], index: number): any | undefined;
    /**
     * Gets the item at the specified index.
     * @param i The index of the item.
     * @returns The item of the index.
     */
    protected getItem(i: number): any | undefined;
    protected getElementDefaultValues(): any;
}
//# sourceMappingURL=ItemsSeries.d.ts.map