/** Provides functionality to build arrays. */
export declare class ArrayBuilder {
    /** Creates a vector. */
    static createVector(x0: number, x1: number, n: number): number[];
    /** Creates a vector. */
    static createVectorWithStep(x0: number, x1: number, dx: number): number[];
    /** Evaluates the specified function. */
    static evaluate(f: (x: number, y: number) => number, x: number[], y: number[]): number[][];
    /** Fills the array with the specified value. */
    static fill(array: number[], value: number): void;
    /** Fills the two-dimensional array with the specified value. */
    static fill2D(array: number[][], value: number): void;
}
//# sourceMappingURL=ArrayBuilder.d.ts.map