/**
 * Renderer delegate
 */
export type ConrecRendererDelegate = (x1: number, y1: number, x2: number, y2: number, z: number) => void;
/**
 * Provides functionality to create contours from a triangular mesh.
 */
export declare class Conrec {
    /**
     * Contour is a contouring subroutine for rectangularily spaced data
     * It emits calls to a line drawing subroutine supplied by the user
     * which draws a contour map corresponding to data on a randomly
     * spaced rectangular grid. The coordinates emitted are in the same
     * units given in the x() and y() arrays.
     * Any number of contour levels may be specified but they must be
     * in order of increasing value.
     */
    static contour(d: number[][], x: number[], y: number[], z: number[], renderer: ConrecRendererDelegate): void;
}
//# sourceMappingURL=Conrec.d.ts.map