import type { AxisStringFormatterType } from '..';
/**
 * Provides functionality to generate fraction strings from double values.
 * Examples: "3/4", "PI/2"
 */
export declare class FractionHelper {
    /**
     * Converts a double to a fraction string.
     * @param value The value.
     * @param unit The unit.
     * @param unitSymbol The unit symbol.
     * @param eps The tolerance.
     * @param formatter The formatter.
     * @returns The convert to fraction string.
     */
    static convertToFractionString(value: number, unit?: number, unitSymbol?: string, eps?: number, formatter?: AxisStringFormatterType): string;
}
//# sourceMappingURL=FractionHelper.d.ts.map