import { type ScreenPoint, Series, TrackerHitResult } from '..';
/**
 * Provides helper methods for tracker functionality.
 */
export declare class TrackerHelper {
    /**
     * Gets the nearest tracker hit.
     * @param series The series.
     * @param point The point.
     * @param snap Snap to points.
     * @param pointsOnly Check points only (no interpolation).
     * @param firesDistance The distance from the series at which the tracker fires.
     * @param checkDistanceBetweenPoints The value indicating whether to check distance when showing tracker between data points.
     * @returns A tracker hit result.
     */
    static getNearestHit(series: Series, point: ScreenPoint, snap: boolean, pointsOnly: boolean, firesDistance: number, checkDistanceBetweenPoints: boolean): TrackerHitResult | undefined;
    private static shouldTrackerOpen;
}
//# sourceMappingURL=TrackerHelper.d.ts.map