export declare function groupBy<T, K extends keyof T>(items: Array<T>, key: K): Map<T[K], Array<T>>;
export declare function groupBy2<T, K>(items: Array<T>, getKey: (item: T) => K): Map<K, Array<T>>;
export declare function indexOfAny<T>(array: T[], anyOf: T[], startIndex?: number): number;
export declare function sortArray<T, K extends keyof T>(ary: T[], orders: [K, 'ASC' | 'DESC'][]): T[];
export declare function sortDesc<T, K extends keyof T>(ary: T[], key: K): T[];
export declare function create2DArray<T>(h: number, w: number, def?: T): any[];
export declare function arrayRemoveFirst<T>(array: T[], item: T): boolean;
export declare function arrayRemoveIf<T>(array: T[], filter: (item: T) => boolean): number;
export declare function pushMany<T>(target: T[], source: T[]): void;
export declare function getReversedCopy<T>(array: T[]): T[];
/**
 * avoid `Maximum call stack size exceeded` error
 */
export declare function maxValueOfArray(numbers: number[], ...otherNumbers: number[]): number;
/**
 * avoid `Maximum call stack size exceeded` error
 */
export declare function minValueOfArray(numbers: number[], ...otherNumbers: number[]): number;
export declare function arrayBufferToBase64(uint8Array: Uint8Array): string;
//# sourceMappingURL=array-util.d.ts.map