import { TimeSpan } from '..';
export interface IDateService {
    format: (date: Date | string, format: string) => string;
    convertTime: (date: Date, timezone: string) => Date;
    addYears: (date: Date, years: number) => Date;
    addMonths: (date: Date, months: number) => Date;
    addTimespan: (date: Date, timespan: TimeSpan) => Date;
    dayOfWeek: (date: Date) => number;
    /**
     * Returns the difference between two dates.
     * day1 - day2
     */
    diff: (day1: Date, day2: Date) => TimeSpan;
}
export declare function getDateService(): IDateService;
export declare function setDateService(service: IDateService): void;
//# sourceMappingURL=DateService.d.ts.map